#!/bin/bash

SEED=76538;

#SIZES="10 12 15 18 20 25 30";
SIZES="50 80 100";

MULTIPLY="1 2";

#CLUSTERS="2 3 4 5";
CLUSTERS="10";

DENSITY="0.3 0.5 0.7";

for S in ${SIZES}; do
	for M in ${MULTIPLY}; do
		let SS=$S*$M
		for C in ${CLUSTERS}; do
			for D in ${DENSITY}; do
				#./generator ${S} ${SS} ${C} ${D} ${SEED} 1 > random_${SEED}_ampl/${S}-${SS}-${C}-${D}.dat
				./generator ${S} ${SS} ${C} ${D} ${SEED} 0 > random_${SEED}/${S}-${SS}-${C}-${D}.dat
			done;
		done;
	done;
done;

