#!/usr/local/bin/perl
#
# Program that extract horror's ids from items file.
#

$item_file = 'u.item';
open(IN, $item_file) or die "Couldn't read $item_file: $!";
@lines = <IN>;
close(IN);

# Check each line
$count = 0;
foreach $line (@lines) {
	
	# Regex match (19 genres)	
	# movie id | movie title | release date || IMDb URL | unknown | 
	# Action | Adventure | Animation | Children's | Comedy | Crime | Documentary | 
	# Drama | Fantasy | Film-Noir | Horror | Musical | Mystery | Romance | Sci-Fi |
   # Thriller | War | Western
	if ($line =~ /(\d+)\|[^|]+\|[^|]+\|\|[^|]+\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|1\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]\|[01]/) {

		$id = $1;
		print "$id\n";
		$count++;

	}

}

print "\n$count elements in total.\n";
