#!/bin/bash

USERS="children students teens women men retired";

ITEMS="animation documentary horror western";

CLUSTERS="2 4 6";

for U in ${USERS}; do
	for I in ${ITEMS}; do
		for C in ${CLUSTERS}; do
			echo "Generating: "${U} - ${I} - ${C};
			perl create_graph.pl user-${U}.id item-${I}.id ${C} > ../movielens_istances/${U}-${I}-${C}.raw
			perl clean_graph.pl ../movielens_istances/${U}-${I}-${C}.raw > ../movielens_istances/${U}-${I}-${C}.dat
		done;
	done;
done;
