#!/bin/bash

SEED=147;

SIZES="10 12 15 20 30 40 50 60 80 100";

CLUSTERS="2 3 4 5 6 7 8";

for S in ${SIZES}; do
		for C in ${CLUSTERS}; do
			echo "Generating: "${S}-${C};
			./known-cost-generator ${S} ${C} ${SEED} 0 > seed_${SEED}/${S}-${C}.dat
	done;
done;
